ItemEvents.tooltip(event => {

  // Tooltips for custom modpack items
  // Formatting rules: 
  // - Keys:  
  // §00 §11 §22 §33
  // §44 §55 §66 §77
  // §88 §99 §aa §bb
  // §cc §dd §ee §ff
  // §rk §kMinecraft 
  // §rl §lMinecraft
  // §rm §mMinecraft
  // §rn §nMinecraft
  // §ro §oMinecraft
  // §rr §rMinecraft
  // - Mechanics: §b (cyan, italic for emphasis if needed)
  // - Items: §f (white, italic for emphasis)
  // - General text: gray

  // ====================

  // Mantlediver
  event.addAdvanced(['sortilege:mantlediver'], (item, advanced, text) => {
    text.add(1, Text.gray('§e[RIGHT-CLICK]§r to dive into the Mantle and locate the §cCitadel.§r'))
  })

  // Cinderous Soulcaller
  event.addAdvanced(['irons_spellbooks:cinderous_soulcaller'], (item, advanced, text) => {
    text.add(1, Text.gray('§e[RIGHT-CLICK]§r in the center of the Citadel to summon the §cAbyssal Lord.§r'))
  })

  // Spell Scroll
  event.addAdvanced(['irons_spellbooks:scroll'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§eCRAFT§r with §fLimitite§r to §bduplicate§r the spell!'))
    }
  })

  // Flint
  event.addAdvanced(['minecraft:flint'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§eCRAFT§r with §cStone§r items to §crepair§r them!'))
    }
  })

  // Flint Hammer
  event.addAdvanced(['jaams_weaponry:flint_hammer', 'jaams_weaponry:broom'], (item, advanced, text) => {
    text.add(1, Text.gray('§cUnscrappable§r'))
  })

  // Burning Ashes
  event.addAdvanced(['cataclysm:burning_ashes'], (item, advanced, text) => {
    text.add(1, Text.gray('§6Place into the §eAltar of Fire §6to summon the §cGuardian §6of the §cDragon Tower...§r'))
  })

  // Scrap Metal
  event.addAdvanced(['kubejs:scrap_metal'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§eCRAFT§r with §cmetal§r items to §crepair§r them!'))
    }
  })

  // Diamond Shard
  event.addAdvanced(['kubejs:diamond_shard'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§eCRAFT§r with §cmetal and diamond§r items to §crepair§r them!'))
    }
  })

  // Heart Piece
  event.addAdvanced(['healpgood:heart_piece'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§e[CRAFT]§r four together to make a §dTemporary Heart Upgrade!§r'))
    }
  })

  // Temporary Heart Upgrade
  event.addAdvanced(['healpgood:crystal_heart'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§e[RIGHT CLICK]§r to increase your health for §cthis life only.§r \n§rCan also be used to §crepair§r items!'))
    }
  })

  // Permanent Heart Upgrade
  event.addAdvanced(['healpgood:heart_container'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§e[RIGHT CLICK]§r to increase your health §cpermanently.§r \n§rCan also be used to §crepair§r items §efully!§r\n'))
    }
  })

  // Enchanted Book
  event.addAdvanced(['minecraft:enchanted_book'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§e[RIGHT CLICK]§r a weapon whilst holding in the inventory to §cenchant§r it.\n'))
    }
  })

  // Sword
  event.addAdvanced(['minecraft:wooden_sword', 'minecraft:stone_sword', 'minecraft:golden_sword', 'minecraft:iron_sword', 'minecraft:diamond_sword', 'minecraft:netherite_sword', 'blackiron:black_iron_sword'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Hold §e[RIGHT CLICK]§r to block 50% of incoming damage! \n\nBlock just before an attack lands to §c§oparry§r it away!\n\nNot as good at parrying as a §f§oshield§r would be, but better than nothing!\n'))
    }
  })

  // Shovel
  event.addAdvanced(['minecraft:wooden_shovel', 'minecraft:stone_shovel', 'minecraft:golden_shovel', 'minecraft:iron_shovel', 'minecraft:diamond_shovel', 'minecraft:netherite_shovel'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§cShoves§r enemies back! \n\nIf one enemy is §cshoved§r into another, \nit will create a §cchain-reaction§r.\n'))
    }
  })

  // Hoe & Knives
  event.addAdvanced(['minecraft:wooden_pickaxe', 'minecraft:stone_pickaxe', 'minecraft:golden_pickaxe', 'minecraft:iron_pickaxe', 'minecraft:diamond_pickaxe', 'minecraft:netherite_pickaxe'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Land a §ccritical strike§r on an enemy to begin an §cairstrike§r combo! \n\nThe more §ccritical hits§r you land §fsuccessively§r, the §fhigher§r you and the enemy will go!§r'))
    }
  })

  // Trident
  event.addAdvanced(['minecraft:wooden_hoe', 'minecraft:stone_hoe', 'minecraft:golden_hoe', 'minecraft:iron_hoe', 'minecraft:diamond_hoe', 'minecraft:netherite_hoe'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Land a §ccritical strike§r on an enemy to begin an §cairdash§r combo! \n\nThe more §ccritical hits§r you land §fsuccessively§r, the §ffurther§r you and the enemy will go!§r\n'))
    }
  })

  // Wooden Bows
  event.addAdvanced(['minecraft:bow'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Weapon from ancient times cursed with a \n§cblinding glimmer§r and a terrible vulnerability\nto §fArrow damage§r when fired.\nTotal §cGarbage§r. Best used for spare §fSticks§r.'))
    }
  })

  // Bows
  event.addAdvanced(['archeryexp:wooden_bow', 'archeryexp:iron_bow', 'archeryexp:gold_bow', 'archeryexp:diamond_bow', 'archeryexp:netherite_bow'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Applies the §cQuickdraw§r effect briefly whilst charging, which makes you take §fmore damage from Arrows§r!'))
    }
  })

  // Harpoon 
  event.addAdvanced(['species:harpoon'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Only fires §cdirectly upwards.§r Once §cattached to the ceiling§r, you can §csway yourself around§r to move forward.'))
    }
  })

  // Emerald
  event.addAdvanced(['minecraft:emerald'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('The primary currency used by the §fSpectral Servant§r.\n§iGrab as many of these as you can! \nCan also be used to §crepair§r items!'))
    }
  })

  // Emerald
  event.addAdvanced(['kubejs:emerald_shard'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('§eCRAFT§r four of these together to make a §2full Emerald§r!'))
    }
  })

  // Warp Bank (Ender Chest)
  event.addAdvanced(['minecraft:ender_chest'], (item, advanced, text) => {
    if (!event.shift) {
      text.add(1, Text.gray('Hold §e[SHIFT]§r for more information'))
    } else {
      text.add(1, Text.gray('Only §fYOU§r can see the contents of your own personal §eVoid Chest!§r\nRequires §cSilk Touch§r to pick up.'))
    }
  })

  // Irons Armours
  event.addAdvanced(
    [   
      'minecraft:turtle_helmet',
      
      'sortilege:witch_hat',

      'minecells:cursed_sword',

      'irons_spellbooks:keeper_flamberge',
      'irons_spellbooks:legionnaire_flamberge',
      'irons_spellbooks:legionnaire_flamberge',
      'irons_spellbooks:decrepit_scythe',
      'irons_spellbooks:hellrazor',

      'irons_spellbooks:tarnished_helmet',
      
      'irons_spellbooks:wandering_magician_helmet',
      'irons_spellbooks:wandering_magician_chestplate',
      'irons_spellbooks:wandering_magician_leggings',
      'irons_spellbooks:wandering_magician_boots',
      'irons_spellbooks:pyromancer_helmet',
      'irons_spellbooks:pyromancer_chestplate',
      'irons_spellbooks:pyromancer_leggings',
      'irons_spellbooks:pyromancer_boots',
      'irons_spellbooks:electromancer_helmet',
      'irons_spellbooks:electromancer_chestplate',
      'irons_spellbooks:electromancer_leggings',
      'irons_spellbooks:electromancer_boots',
      'irons_spellbooks:cultist_helmet',
      'irons_spellbooks:cultist_chestplate',
      'irons_spellbooks:cultist_leggings',
      'irons_spellbooks:cultist_boots',
      'irons_spellbooks:archevoker_helmet',
      'irons_spellbooks:archevoker_chestplate',
      'irons_spellbooks:archevoker_leggings',
      'irons_spellbooks:archevoker_boots',
      'irons_spellbooks:cryomancer_helmet',
      'irons_spellbooks:cryomancer_chestplate',
      'irons_spellbooks:cryomancer_leggings',
      'irons_spellbooks:cryomancer_boots',
      'irons_spellbooks:shadowwalker_helmet',
      'irons_spellbooks:shadowwalker_chestplate',
      'irons_spellbooks:shadowwalker_leggings',
      'irons_spellbooks:shadowwalker_boots',
      'irons_spellbooks:priest_helmet',
      'irons_spellbooks:priest_chestplate',
      'irons_spellbooks:priest_leggings',
      'irons_spellbooks:priest_boots',
      'irons_spellbooks:plagued_helmet',
      'irons_spellbooks:plagued_chestplate',
      'irons_spellbooks:plagued_leggings',
      'irons_spellbooks:plagued_boots',
      'irons_spellbooks:pumpkin_helmet',
      'irons_spellbooks:pumpkin_chestplate',
      'irons_spellbooks:pumpkin_leggings',
      'irons_spellbooks:pumpkin_boots',
      'irons_spellbooks:tarnished_crown',
      'irons_spellbooks:netherite_mage_helmet',
      'irons_spellbooks:netherite_mage_chestplate',
      'irons_spellbooks:netherite_mage_leggings',
      'irons_spellbooks:netherite_mage_boots',
      'irons_spellbooks:wizard_helmet',
      'irons_spellbooks:wizard_chestplate',
      'irons_spellbooks:wizard_leggings',
      'irons_spellbooks:wizard_boots'
      ], 
      (item, advanced, text) => {
    {
      text.add(1, Text.red('§cUnrepairable§r'))
    }
  })

})